Press "Enter" to skip to content

Posts tagged as “环境”

MYSQL高可用集群架构-MHA架构–code

大虾 0

1  MHA简介:MHA(Master High Availability)目前在MySQL高可用方面是一个相对成熟的解决方案,它由日本DeNA公司youshimaton(现就职于Facebook公司)开发,是一套优秀的作为MySQL高可用性环境下故障切换和主从提升的高可用软件。在MySQL故障切换过程中,MHA能做到在0~30秒之内自动完成数据库的故障切换操作,并且在进行故障切换的过程中,MHA能在最大程度上保证数据的一致性,以达到真正意义上的高可用。

编程语言Java的JDK–code

大虾 0

JDK是java语言的软件开发包,主要用于移动设备,嵌入式设备上的java应用程序。JDK是整个java开发的核心,它包含了java的运行环境(JVM+API(java系统类库))和java工具。
Path环境变量的作用是设置供操作系统去寻找可执行文件的路径的顺序;
ClassPath环境变量的作用是JVM执行java程序时搜索类的路径的顺序。

web移动开发总结(六)–code

大虾 0

需求点击了左侧分类的菜单位移到当前点击的分类菜单 到顶部的位置位移为 (-当前菜单索引*菜单高度)

面试题1–code

大虾 0

---恢复内容开始---1.++i 先计算后输出
2.arraycopy(a,2,b,2,2) 从a数组第二位复制两位替换掉b数组第二位后两位
3.java独特特点,平台无关性。
4..java文件编译成.class文件
5.读取图片文件可使用
6.linkedhashset会保留顺序,treeset会自动排序。
7.java变量名不能是数字,不能是关键字。
8.private表示私有,只能在本类中使用。
9.对象需要跨网络传输,需要实现Serializable接口
10.生命抽象方法不可写大括号。
11.count+=i 表示count=i+count
12.spring boot框架,其实他不算是一个框架,他算是整合了多个框架。他拥有自己的pom.xml和配置文件,通过配置文件或YML实现了对SSM或者其他框架的整合,通过一个application的main方法和注解启动spring boot。他的使用场景非常广泛,因为他整合多个框架,所以广泛应用在各种项目开发和分布式项目的搭建。一般是使用IDEA创建spring boot项目,然后勾选需要的maven依赖。遇到的坑:在创建完成后,无法启动spring boot项目。
13.select sum(列名) from 表名 where //求综合
select avg(列名) from 表名 where //求平均数
select count(1) from 表名 where //次数
select 列名 from 表名 where 列名> < //对比
优化数据库方法:
1.避免在子句中使用!=或<>判断,所以拆分语句
2.添加索引。
3.避免全表查询

做Servlet之前eclipse如何配置?–code

大虾 0

1.先期的eclipse的配置  (视频下载) (全部书籍)1) 配置eclipse的jdk的方法:window/preferences(偏好) /java/Compiler/Compiler compliance level:我设置的是1.6(你最好跟我一样,【新手可互略这段的解释】1)这里设置的是eclipse中所有项目的,想设置某个单独项目的 compiler,可设置它的project facet中的java compiler。2)这个1.6指的是你的servlet编译成的class版本是1.6,而不是jsp编译成servelet class的版本,那个版本是什么,学jsp时再告诉大家。)。(编译和tomcat运行jre版本要一样,否则有版本major.minor错误, tomcat不是exe,它运行时,需要你的系统装有java,这里你的eclipse的tomcat运行,所需要的jdk在哪呢?window/preferences/Server/Runtime Enviornment/tomcat5.0/Edit/Jre/Installed Jres,多说一句,外置生产环境下的tomcat的jre呢?在外置tomcat安装目录的bin目录下敲:version)
2)配置eclipse的jre的方法:window/preferences(偏好)/java/Installed JREs:我勾选的是1.6.注意:这里eclipse有问题,一定注意不是jre虽然它写的是jre,其实这里一定要指向jdk1.6的路径(【新手可互略这段的解释】网上有种说法是eclipse自带jdk,所以这里只需设置jre,我们不深入研究这种说法),因为jsp运行时需要编译成servlet,如果你只给出jre的路径,到时候无法编译jsp。(这样整个的项目facet都是1.6,这样项目全面都是1.6版本的,单独设置jdk为1.6不行,不能运行)3) 配置tomcat的方法:(首先声明我用的是一版不用安装的Tomcat【到处随便拷贝】,你可以安装一个Tomcat,对于之后的操作是一样的) window/preferences/server/Runtime Environment/Add/Apache/Apache Tomcat5.0:在之后的tomcat installation directory当中,输入你的tomcat的根目录。而且jre版本一定和你的eclipse的compiler版本一致,对于我来讲,就是 jdk1.6。